diff --git a/web/pgadmin/browser/static/js/table.jsx b/web/pgadmin/browser/static/js/table.jsx
deleted file mode 100644
index e69de29b..00000000
diff --git a/web/pgadmin/tools/grant_wizard/static/js/grantWizard.jsx b/web/pgadmin/static/js/components/GrantWizard.jsx
similarity index 94%
rename from web/pgadmin/tools/grant_wizard/static/js/grantWizard.jsx
rename to web/pgadmin/static/js/components/GrantWizard.jsx
index cf07103e..e79107b7 100644
--- a/web/pgadmin/tools/grant_wizard/static/js/grantWizard.jsx
+++ b/web/pgadmin/static/js/components/GrantWizard.jsx
@@ -13,18 +13,18 @@ import url_for from 'sources/url_for';
 import React from 'react';
 import { Box } from '@material-ui/core';
 import { makeStyles } from '@material-ui/core/styles';
-import Wizard from '../../../../browser/static/js/WizardView';
-import WizardStep from '../../../../browser/static/js/WizardStep';
-import PgTable from '../../../../browser/static/js/PgTable';
-import { getNodePrivilegeRoleSchema } from '../../../../browser/server_groups/servers/static/js/privilege.ui.js';
-import { InputSQL, InputText, FormFooterMessage, MESSAGE_TYPE } from '../../../../static/js/components/FormComponents';
-import getApiInstance from '../../../../static/js/api_instance';
-import SchemaView from '../../../../static/js/SchemaView';
+import Wizard from '../helpers/wizard/Wizard';
+import WizardStep from '../helpers/wizard/WizardStep';
+import PgTable from 'sources/components/PgTable';
+import { getNodePrivilegeRoleSchema } from '../../../browser/server_groups/servers/static/js/privilege.ui.js';
+import { InputSQL, InputText, FormFooterMessage, MESSAGE_TYPE } from './FormComponents';
+import getApiInstance from '../api_instance';
+import SchemaView from '../SchemaView';
 import clsx from 'clsx';
 import Loader from 'sources/components/Loader';
 import Alertify from 'pgadmin.alertifyjs';
 import PropTypes from 'prop-types';
-import PrivilegeSchema from './privilege_schema.ui';
+import PrivilegeSchema from '../../../tools/grant_wizard/static/js/privilege_schema.ui';
 
 const useStyles = makeStyles(() =>
   ({
@@ -230,9 +230,9 @@ export default function GrantWizard({ sid, did, nodeInfo, nodeData }) {
         setLoaderText('');
         Alertify.wizardDialog().close();
       })
-      .catch(() => {
+      .catch((error) => {
         setLoaderText('');
-        Alertify.error(gettext('Error while saving grant wizard data.'));
+        Alertify.error(gettext(`Error while saving grant wizard data: ${error.response.data.errormsg}`));
       });
   };
 
diff --git a/web/pgadmin/browser/static/js/PgTable.jsx b/web/pgadmin/static/js/components/PgTable.jsx
similarity index 98%
rename from web/pgadmin/browser/static/js/PgTable.jsx
rename to web/pgadmin/static/js/components/PgTable.jsx
index 7e3d2828..643a3503 100644
--- a/web/pgadmin/browser/static/js/PgTable.jsx
+++ b/web/pgadmin/static/js/components/PgTable.jsx
@@ -73,7 +73,7 @@ const useStyles = makeStyles((theme) => ({
 }),
 );
 
-export default function pgTable({ columns, data, isSelectRow, ...props }) {
+export default function PgTable({ columns, data, isSelectRow, ...props }) {
   // Use the state and functions returned from useTable to build your UI
   const classes = useStyles();
   const defaultColumn = React.useMemo(
@@ -274,7 +274,7 @@ const scrollbarWidth = () => {
   return scrollbarWidth;
 };
 
-pgTable.propTypes = {
+PgTable.propTypes = {
   stepId: PropTypes.number,
   height: PropTypes.number,
   className: PropTypes.oneOfType([PropTypes.string, PropTypes.object]),
diff --git a/web/pgadmin/browser/static/js/WizardView.jsx b/web/pgadmin/static/js/helpers/wizard/Wizard.jsx
similarity index 99%
rename from web/pgadmin/browser/static/js/WizardView.jsx
rename to web/pgadmin/static/js/helpers/wizard/Wizard.jsx
index 4b1b3346..9847f8ee 100644
--- a/web/pgadmin/browser/static/js/WizardView.jsx
+++ b/web/pgadmin/static/js/helpers/wizard/Wizard.jsx
@@ -6,7 +6,7 @@ import FastRewindIcon from '@material-ui/icons/FastRewind';
 import ChevronRightIcon from '@material-ui/icons/ChevronRight';
 import HelpIcon from '@material-ui/icons/HelpRounded';
 import CheckIcon from '@material-ui/icons/Check';
-import { DefaultButton, PrimaryButton, PgIconButton } from '../../../static/js/components/Buttons';
+import { DefaultButton, PrimaryButton, PgIconButton } from '../../../../static/js/components/Buttons';
 import PropTypes from 'prop-types';
 import { Box } from '@material-ui/core';
 import gettext from 'sources/gettext';
diff --git a/web/pgadmin/browser/static/js/WizardStep.jsx b/web/pgadmin/static/js/helpers/wizard/WizardStep.jsx
similarity index 100%
rename from web/pgadmin/browser/static/js/WizardStep.jsx
rename to web/pgadmin/static/js/helpers/wizard/WizardStep.jsx
diff --git a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
index efc8fe56..182cfda4 100644
--- a/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
+++ b/web/pgadmin/tools/grant_wizard/static/js/grant_wizard.js
@@ -9,7 +9,7 @@
 import React from 'react';
 import ReactDOM from 'react-dom';
 import Theme from 'sources/Theme';
-import GrantWizard from './grantWizard';
+import GrantWizard from 'sources/components/GrantWizard';
 
 
 // Grant Wizard
diff --git a/web/regression/javascript/grant_wizard/wizard_spec.js b/web/regression/javascript/grant_wizard/wizard_spec.js
index 5a1c5ba6..83627791 100644
--- a/web/regression/javascript/grant_wizard/wizard_spec.js
+++ b/web/regression/javascript/grant_wizard/wizard_spec.js
@@ -13,10 +13,9 @@ import '../helper/enzyme.helper';
 import { createMount } from '@material-ui/core/test-utils';
 import pgAdmin from 'sources/pgadmin';
 import { messages } from '../fake_messages';
-// import GrantWizard from '../../../pgadmin/tools/grant_wizard/static/js/grant_wizard_view';
 import Theme from 'sources/Theme';
-import Wizard from '../../../pgadmin/browser/static/js/WizardView';
-import WizardStep from '../../../pgadmin/browser/static/js/WizardStep';
+import Wizard from '../../../pgadmin/static/js/helpers/wizard/Wizard';
+import WizardStep from '../../../pgadmin/static/js/helpers/wizard/WizardStep';
 
 describe('Wizard', () => {
   let mount;
